Subject: bug#73596: 29.4; empty (let) does not signal an error

From: Ulrich Mueller <[email-masked]>
Date: Sat, 12 Oct 2024 15:54:56 +0200

>>>>> On Sat, 12 Oct 2024, Stefan Monnier wrote:

>>> Not sure if the following is an error or the intended behavior.
>>> IIUC empty (let) should signal an error, and it did so in Emacs 27.2.
>>> However, it returns nil now.

> The compiler emits a warning when encountering a `let` without a body,
> which I think is the most important aspect.

> Returning nil (when the user decides to run the code despite the
> warning) seems just as good as signaling an error.  Just don't rely on it.

(func-arity 'let)  ⇒  (1 . unevalled)

Shouldn't this be updated to return (0 . unevalled) when empty (let)
is allowed?